import React from "react";
import globals from "../globals";
import { apiClient } from "../utils/httpClients";

export default class AuthenticationGuard extends React.Component {
    constructor(props) {
        super(props);
    }
    static contextType = globals;

    async componentDidMount() {
        if (!this.context.user) {
            let userDataResponse = await apiClient.get("/user");
            if (userDataResponse.status === 200) {
                this.context.update({ user: userDataResponse.data });
            } else if (userDataResponse.status == 401) {
                this.context.navigate("/signup");
            }
        }
    }

    render() {
        return null;
    }
}